# Uses of Class
org.snpeff.nextProt.Location

Packages that use Location
Package
Description
org.snpeff.nextProt

## Uses of Location in org.snpeff.nextProt

Subclasses of Location in org.snpeff.nextProt
Modifier and Type
Class
Description
`class`
`LocationTargetIsoform`
A location respect to an isoform
`class`
`LocationTargetIsoformInteraction`
A location respect to two locations within an isoform In this case "start" and "end" are not really an interval, but an interaction between two locations (e.g.
Methods in org.snpeff.nextProt that return types with arguments of type Location
Modifier and Type
Method
Description
`List<Location>`
NextProtXmlAnnotation.`getLocations()`
Methods in org.snpeff.nextProt with parameters of type Location
Modifier and Type
Method
Description
`Markers`
NextProtMarkerFactory.`addMarkers(NextProtXmlEntry entry, NextProtXmlIsoform isoform, NextProtXmlAnnotation annotation, Location location, String trId)`
Create markers and add them
`Markers`
NextProtMarkerFactory.`nextProt(Transcript tr, NextProtXmlAnnotation annotation, Location location)`
Create a list of NextProt markers according to this annotation